> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Summary

> One standard report's total, breakdown and months for a period and branch, in the reporting currency



## OpenAPI

````yaml /openapi.json get /reports/{report}
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /reports/{report}:
    get:
      tags:
        - reports
      summary: Summary
      description: >-
        One standard report's total, breakdown and months for a period and
        branch, in the reporting currency
      operationId: reports.summary
      parameters:
        - name: report
          in: path
          schema:
            type: string
            enum:
              - property-repairs-reported
              - property-repairs-completed
              - property-compliance
              - property-inspections
              - property-planned
              - property-keys
              - property-complaints
              - repairs-response-time
              - repairs-attend-time
              - repairs-complete-time
              - repairs-spend-by-trade
              - repairs-contractors
              - repairs-repeat
              - repairs-ai-work
              - money-contractor-invoices
          required: true
        - name: from
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: to
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: branch
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  report:
                    type: string
                    enum:
                      - property-repairs-reported
                      - property-repairs-completed
                      - property-compliance
                      - property-inspections
                      - property-planned
                      - property-keys
                      - property-complaints
                      - repairs-response-time
                      - repairs-attend-time
                      - repairs-complete-time
                      - repairs-spend-by-trade
                      - repairs-contractors
                      - repairs-repeat
                      - repairs-ai-work
                      - money-contractor-invoices
                  today:
                    type: string
                  from:
                    anyOf:
                      - type: string
                      - type: 'null'
                  to:
                    type: string
                  branch:
                    type: string
                  currency:
                    type: object
                    properties:
                      code:
                        type: string
                      chosen:
                        type: boolean
                      rateOn:
                        type: string
                      rates:
                        type: array
                        items:
                          type: object
                          properties:
                            from:
                              type: string
                            rate:
                              type: string
                            asOf:
                              type: string
                            origin:
                              type: string
                          required:
                            - from
                            - rate
                            - asOf
                            - origin
                          additionalProperties: false
                      missing:
                        type: array
                        items:
                          type: string
                    required:
                      - code
                      - chosen
                      - rateOn
                      - rates
                      - missing
                    additionalProperties: false
                  total:
                    type: object
                    properties:
                      key:
                        type: string
                      label:
                        type: string
                      rows:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      measures:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            value:
                              anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: 'null'
                            unknown:
                              anyOf:
                                - type: number
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            unconvertible:
                              anyOf:
                                - type: number
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            mean:
                              anyOf:
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - Infinity
                                            - '-Infinity'
                                            - NaN
                                    - type: 'null'
                                - type: 'null'
                            median:
                              anyOf:
                                - anyOf:
                                    - anyOf:
                                        - type: number
                                        - type: string
                                          enum:
                                            - Infinity
                                            - '-Infinity'
                                            - NaN
                                    - type: 'null'
                                - type: 'null'
                          required:
                            - id
                            - value
                            - unknown
                            - unconvertible
                          additionalProperties: false
                    required:
                      - key
                      - label
                      - rows
                      - measures
                    additionalProperties: false
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        label:
                          type: string
                        rows:
                          anyOf:
                            - type: number
                            - type: string
                              enum:
                                - Infinity
                                - '-Infinity'
                                - NaN
                        measures:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              value:
                                anyOf:
                                  - anyOf:
                                      - type: number
                                      - type: string
                                        enum:
                                          - Infinity
                                          - '-Infinity'
                                          - NaN
                                  - type: 'null'
                              unknown:
                                anyOf:
                                  - type: number
                                  - type: string
                                    enum:
                                      - Infinity
                                      - '-Infinity'
                                      - NaN
                              unconvertible:
                                anyOf:
                                  - type: number
                                  - type: string
                                    enum:
                                      - Infinity
                                      - '-Infinity'
                                      - NaN
                              mean:
                                anyOf:
                                  - anyOf:
                                      - anyOf:
                                          - type: number
                                          - type: string
                                            enum:
                                              - Infinity
                                              - '-Infinity'
                                              - NaN
                                      - type: 'null'
                                  - type: 'null'
                              median:
                                anyOf:
                                  - anyOf:
                                      - anyOf:
                                          - type: number
                                          - type: string
                                            enum:
                                              - Infinity
                                              - '-Infinity'
                                              - NaN
                                      - type: 'null'
                                  - type: 'null'
                            required:
                              - id
                              - value
                              - unknown
                              - unconvertible
                            additionalProperties: false
                      required:
                        - key
                        - label
                        - rows
                        - measures
                      additionalProperties: false
                  months:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        label:
                          type: string
                        rows:
                          anyOf:
                            - type: number
                            - type: string
                              enum:
                                - Infinity
                                - '-Infinity'
                                - NaN
                        measures:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              value:
                                anyOf:
                                  - anyOf:
                                      - type: number
                                      - type: string
                                        enum:
                                          - Infinity
                                          - '-Infinity'
                                          - NaN
                                  - type: 'null'
                              unknown:
                                anyOf:
                                  - type: number
                                  - type: string
                                    enum:
                                      - Infinity
                                      - '-Infinity'
                                      - NaN
                              unconvertible:
                                anyOf:
                                  - type: number
                                  - type: string
                                    enum:
                                      - Infinity
                                      - '-Infinity'
                                      - NaN
                              mean:
                                anyOf:
                                  - anyOf:
                                      - anyOf:
                                          - type: number
                                          - type: string
                                            enum:
                                              - Infinity
                                              - '-Infinity'
                                              - NaN
                                      - type: 'null'
                                  - type: 'null'
                              median:
                                anyOf:
                                  - anyOf:
                                      - anyOf:
                                          - type: number
                                          - type: string
                                            enum:
                                              - Infinity
                                              - '-Infinity'
                                              - NaN
                                      - type: 'null'
                                  - type: 'null'
                            required:
                              - id
                              - value
                              - unknown
                              - unconvertible
                            additionalProperties: false
                      required:
                        - key
                        - label
                        - rows
                        - measures
                      additionalProperties: false
                  branches:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        town:
                          type: string
                        active:
                          type: boolean
                      required:
                        - id
                        - name
                        - town
                        - active
                      additionalProperties: false
                  fingerprint:
                    type: string
                  generatedAt:
                    type: string
                  readAt:
                    type: string
                required:
                  - report
                  - today
                  - from
                  - to
                  - branch
                  - currency
                  - total
                  - groups
                  - months
                  - branches
                  - fingerprint
                  - generatedAt
                  - readAt
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/ReportQueryInvalid'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/ReportNotReadable'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/ReportBranchNotFound'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ReportsBusy'
                  - $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    ReportQueryInvalid:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ReportQueryInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    ReportNotReadable:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ReportNotReadable
        report:
          type: string
        missing:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - report
        - missing
        - message
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    ReportBranchNotFound:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ReportBranchNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    ReportsBusy:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ReportsBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.